<?php

namespace DarksLight2\Training\Steps;

use DarksLight2\Training\StepFactory;

class ChatFirstStep extends StepFactory
{

    public function getTitle(): string
    {
        return 'Начало.';
    }

    public function getMessage(): string
    {
        return 'Помните, оскорблять, унижать, обсуждать политику, подстёгивать других игроков, как в общем чате так и в приватном приведет к временному ограничению возможности отправки сообщений в любой из чатов.';
    }

    public function getShortName(): string
    {
        return 'chat_first_step';
    }

    public function getRewards(): array
    {
        return [];
    }

}