<?php

namespace DarksLight2\Training\Steps;

use DarksLight2\Training\StepFactory;

class ChatSecondQuest extends StepFactory
{

    public function getTitle(): string
    {
        return 'Начало.';
    }

    public function getMessage(): string
    {
        return 'Отправьте адресное сообщение в общий чат, нажав 1 раз по никнейму игрока либо в чате, либо со списка онлайна, который находится справа.';
    }

    public function getShortName(): string
    {
        return 'chat_second_quest';
    }

    public function getRewards(): array
    {
        return [];
    }

    public function isInfo(): bool
    {
        return false;
    }

}