<?php

namespace DarksLight2\Training;

use Exception;

class TrainingException extends Exception
{
    public static function alreadyRegistered(): self
    {
        return new self("The steps have been registered before");
    }

    public static function noRenderingFile(): self
    {
        return new self("Rendering file missing");
    }
}