<?php

namespace FightRequest;

class FRHelper
{
    /**       .
     * @param int $type  .
     * @param int $userLevel    .
     * @return object
     */
    public static function getTeammatesLevel(int $type, int $userLevel): object
    {
        $min = 0;
        $max = 21;
        switch ($type) {
            default:
                break;
            case 1: //    
                $max = $userLevel;
                break;
            case 2: //   
                $max = $userLevel - 1;
                break;
            case 3: //  
                $min = $userLevel;
                $max = $userLevel;
                break;
            case 4: //     1 
                $min = $userLevel;
                $max = $userLevel + 1;
                break;
            case 5: //     1 
                $min = $userLevel - 1;
                $max = $userLevel;
                break;
            case 6: //   +- 1
                $min = $userLevel - 1;
                $max = $userLevel + 1;
                break;
        }
        return (object)[
            'min'=> $min,
            'max'=> $max,
        ];
    }

    /**       .
     * @param int $type  .
     * @param int $userLevel    .
     * @return object
     */
    public static function getChaoticTeammatesLevel(int $type, int $userLevel): object
    {
        if (!in_array($type, [3, 6])) {
            $type = 0;
        }
        return self::getTeammatesLevel($type, $userLevel);
    }
}

