<?php

class PassGen
{
    public static function new($length = 8)
    {
        return substr(
            preg_replace(
                "/[^a-zA-Z0-9]/",
                "",
                base64_encode(openssl_random_pseudo_bytes($length + 1))
            ),
            0,
            $length
        );
    }

    public static function intCode($length = 8): int
    {
        return mt_rand(10 ** ($length - 1), 10 ** $length - 1);
    }
}