<?php

use Core\Db;

require_once dirname(__DIR__) . DIRECTORY_SEPARATOR . 'autoload.php';

/** Оптимизировано. Но как-то херовато. Надо отказаться от вызова $u. И запросы какие-то вразнобой, надо разбираться.
 * CRON Комиссионного магазина
 * Если предмет висит уже 2 и более недель, продавать предмет за 50% от его стоимости с учетом износа.
 * Деньги отсылаются на почту.
 * @author Insallah
 */

# Каждый понедельник в 12 дня.

const RETURN_GROUP = '"<span style="color: #C65F00;">Shop.capitalcity</span>": Возврат из комиссионного магазина предмет: [id="%s"/ Название : "%s"/ Цена : "%s"/ Группировка : "$s"].';
const RETURN_ONE = '"<span style="color: #C65F00;">Shop.capitalcity</span>": Возврат из комиссионного магазина предмет: [id="%s"/ Название : "%s"/ Цена : "%s"].';
const SHOP_TYPE = 'Shop.comission';

$u = User::start();

$q = 'select
    items_main.id,
    uid,
    inGroup,
    item_id,
    price1,
    name
from
items_users
    left join items_main on items_main.id = item_id
where inShop = 30 and `delete` = 0';


foreach (Db::getRows($q) as $row) {
    if ($row['inGroup']) {
        $col = $u->itemsX($row['id']);
        if ($col > 1) {
            $stmt = Db::prepare('
update items_users set inShop = 0, 1price = ?
where
    item_id = ? and
    inShop = 30 and
    uid = ? and
    inGroup = ?
limit ' . $col);
            if ($stmt->execute([$row['price1'], $row['item_id'], $row['uid'], $row['inGroup']])) {
                $ld = $u->addDelo(
                    1,
                    $row['uid'],
                    sprintf(RETURN_GROUP, $row['item_id'], $row['name'], $row['price1'], $row['inGroup'] . '+1'),
                    time(),
                    $u->info['city'],
                    SHOP_TYPE,
                    0,
                    0
                );
            }
        } else {
            $stmt = Db::prepare('
update items_users set inShop = 0, 1price = ?
where
    uid = ? and
    id = ? and
    inOdet = 0 and
    `delete` = 0 and
    inShop = 30
    ');
            if ($stmt->execute([$row['price1'], $row['uid'], $row['id']])) {
                $ld = $u->addDelo(
                    1,
                    $row['uid'],
                    sprintf(RETURN_ONE, $row['item_id'], $row['name'], $row['price1']),
                    time(),
                    $u->info['city'],
                    SHOP_TYPE,
                    0,
                    0
                );
            }
        }
    } else {
        $stmt = Db::prepare('update items_users set inShop = 0, 1price = ? where id = ? and inShop = 30');
        if ($stmt->execute([$row['price1'], $row['id']])) {
            $ld = $u->addDelo(
                1,
                $row['uid'],
                sprintf(RETURN_ONE, $row['item_id'], $row['name'], $row['price1']),
                time(),
                $u->info['city'],
                SHOP_TYPE,
                0,
                0
            );
        }
    }
}
